package com.huimv.manager.service.impl;

import com.huimv.manager.entity.vo.CollectorRegisterVo;
import com.huimv.manager.mapper.CollectorRegisterDao;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.manager.utils.PageUtils;
import com.huimv.manager.utils.Query;

import com.huimv.manager.entity.CollectorRegisterEntity;
import com.huimv.manager.service.CollectorRegisterService;

/**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-07-24 16:29:33
 */
@Service("collectorRegisterService")
public class CollectorRegisterServiceImpl extends ServiceImpl<CollectorRegisterDao, CollectorRegisterEntity> implements CollectorRegisterService {



    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        QueryWrapper<CollectorRegisterEntity> wrapper = new QueryWrapper<>();
        String registerStartTime = (String)params.get("registerStartTime");
        String registerEndTime = (String)params.get("registerEndTime");
        String deviceCode = (String)params.get("deviceCode");
        String countyName = (String)params.get("countyName");
        String farmName = (String)params.get("farmName");
        String state = (String)params.get("state");

        wrapper.like(StringUtils.isNotBlank(deviceCode),"device_code",deviceCode)
        .or().like(StringUtils.isNotBlank(countyName),"county_name",countyName)
        .or().like(StringUtils.isNotBlank(farmName),"farm_name",farmName);

        if (StringUtils.isNotBlank(state)){
            wrapper.eq("state",Integer.parseInt(state));
        }
        wrapper.le(StringUtils.isNotBlank(registerEndTime),"register_time",registerEndTime);
        wrapper.ge(StringUtils.isNotBlank(registerEndTime),"register_time",registerStartTime);

        IPage<CollectorRegisterVo> page = baseMapper.page(new Query<>().getPage(params),wrapper);




        return new PageUtils(page);
    }

}